Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.provider
Class CompanyInternalPresentationTableProvider

    java.lang.Object
      semorg.gui.provider.PresentationTableProvider
          semorg.gui.provider.CompanyInternalPresentationTableProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class CompanyInternalPresentationTableProvider

extends PresentationTableProvider

This class provides the data of the items in the GUI table in the `CompanyInternalPresentationListWindow`.

Constructor Summary
`CompanyInternalPresentationTableProvider()`

Method Summary
`String` | `getColumnText(Object input, int column)` Returns for given object and column number the appropriate value from the object for the specified column.

Methods inherited from class semorg.gui.provider.PresentationTableProvider
`addListener, dispose, getColumnImage, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompanyInternalPresentationTableProvider

    public CompanyInternalPresentationTableProvider()

Method Detail

### getColumnText

    public String getColumnText(Object input,
                                int column)

  Returns for given object and column number the appropriate value from the object for the specified column.

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnText` in class `PresentationTableProvider`
  Parameters:
    `input` - the object which contains the information
    `column` - the number of the column which should display a particular attribute of the given object.
  Returns:
    particular attribute as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD